| POST | /api/notificationhub/sent |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Title | body | string | No | |
| Body | body | string | No | |
| Type | body | int? | No | |
| DocId | body | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Responses | form | IReadOnlyList<SendResponse> | No | |
| SuccessCount | form | int | No | |
| FailureCount | form | int | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| MessageId | form | string | No | |
| Exception | form | FirebaseMessagingException | No | |
| IsSuccess | form | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| MessagingErrorCode | form | MessagingErrorCode? | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ErrorCode | form | ErrorCode | No | |
| HttpResponse | form | HttpResponseMessage | No |
| Name | Value | |
|---|---|---|
| InvalidArgument | 0 | |
| FailedPrecondition | 1 | |
| OutOfRange | 2 | |
| Unauthenticated | 3 | |
| PermissionDenied | 4 | |
| NotFound | 5 | |
| Conflict | 6 | |
| Aborted | 7 | |
| AlreadyExists | 8 | |
| ResourceExhausted | 9 | |
| Cancelled | 10 | |
| DataLoss | 11 | |
| Unknown | 12 | |
| Internal | 13 | |
| Unavailable | 14 | |
| DeadlineExceeded | 15 |
| Name | Value | |
|---|---|---|
| ThirdPartyAuthError | 0 | |
| InvalidArgument | 1 | |
| Internal | 2 | |
| QuotaExceeded | 3 | |
| SenderIdMismatch | 4 | |
| Unavailable | 5 | |
| Unregistered | 6 |
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /api/notificationhub/sent HTTP/1.1
Host: api.pos365.vn
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"Title":"String","Body":"String","Type":0,"DocId":"String"}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{Unable to show example output for type 'BatchResponse' using the custom 'csv' filter}Cannot dynamically create an instance of type 'FirebaseAdmin.Messaging.BatchResponse'. Reason: No parameterless constructor defined.